catman(8)

NOMBRE
catman - crea o actualiza las páginas del manual preformateadas

SINOPSIS
catman [-dhV] [-M ruta] [sección] ...

DESCRIPCIÓN
catman se usa para crear un conjunto actualizado de páginas de manual prefromateadas, conocido como páginas cat. Las páginas cat se muestran generalmente mucho más rápido que las páginas del manual originales. La decisión de admitir páginas cat es del administrador local, que debe suministrar directorios apropiados para contenerlas. Las opciones disponibles para catman son las jerarquías y secciones de páginas del manual a preformatear. Las jerarquías por omisión son las especificadas como `globales' en el fichero de configuración de man_db y las secciones por omisión son, o bien los contenidos de la variable de entorno $MANSECT delimitados por dos puntos (:), o el conjunto estandar compilado dentro de man si $MANSECT no está definido. Si se le suministra a catman un conjunto de nombres de sección separados por espacios, tendrá precedencia sobre los dos anteriores. catman hace uso de la base de datos temporal de índice asociada con cada jerarquía para determinar qué ficheros tienen que ser formateados.

OPCIONES

-d, --debug
    Muestra información de depurado.

-M ruta, --manpath=ruta
    Especifica una ruta de búsqueda alternativa para la jerarquía de páginas del manual, delimitado por dos puntos (:). Por omisión ésta consiste en todas las rutas indicados como `globales' en el fichero de configuración de man_db.

-h, --help
    Muestra un mensaje de ayuda y termina.

-V, --version
    Muestra información sobre la versión y el autor.

ENTORNO

MANSECT
    SI $MANSECT está definida, su valor es una lista de secciones delimitadas por dos puntos (:) y se usa para determinar qué secciones del manual buscar y en qué orden.

MANPATH
    Si $MANPATH está definida, su valor se interpreta como la ruta de búsqueda a usar para la jerarquía de páginas del manual, delimitado por dos puntos (:).

FICHEROS

/etc/manpath.config
    fichero de configuración de man_db.

/usr/man/index.(bt|db|dir|pag)
    Una base de datos temporal de índice tradicional.

/var/catman/index.(bt|db|dir|pag)
    Una base de datos temporal de índice alternativa o acorde con el FSSTND.

VÉASE TAMBIÉN
man(1), manpath(5), mandb(8).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk). Traducción realizada por Enrique Zanardi (ezanardi@ull.es)